### Signal

# Gtk Editable::insert-text

#### Declaration

    void
    insert_text (
      GtkEditable* self,
      gchar* text,
      gint length,
      gint* position,
      gpointer user_data
    )

#### Description [src]

Emitted when text is inserted into the widget by the user.

The default handler for this signal will normally be responsible for inserting the text, so by connecting to this signal and then stopping the signal with g_signal_stop_emission(), it is possible to modify the inserted text, or prevent it from being inserted entirely.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`text`

  Type: `gchar*`

  The new text to insert.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gint`

  The length of the new text, in bytes, or -1 if new_text is nul-terminated.

`position`

  Type: `gint*`

  The position, in characters, at which to insert the new text. this is an in-out parameter. After the signal emission is finished, it should point after the newly inserted text.

  The argument will be modified by the function.